# Newsletter

Newsletter adjustments

## POST /v3/newsletter/optin

> Sign up for the newsletter. This will send a confirmation email with a validation url to follow.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Newsletter","description":"Newsletter adjustments"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"NewsletterOptIn":{"type":"object","required":["email","language"],"properties":{"email":{"type":"string","maxLength":128,"format":"","description":"Customer's email address"},"language":{"type":"string","format":"","description":"Customer's preferred language"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/newsletter/optin":{"post":{"tags":["Newsletter"],"summary":"Sign up for the newsletter. This will send a confirmation email with a validation url to follow.","operationId":"optInForNewsletter","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsletterOptIn"}}},"required":true},"responses":{"204":{"description":"No Content"},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/newsletter/confirm

> Newsletter sign up confirmation, with the token from the confirmation email.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Newsletter","description":"Newsletter adjustments"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"NewsletterConfirm":{"type":"object","required":["token"],"properties":{"token":{"type":"string","format":"uuid","description":"The confirmation token from the opt-in email."}},"additionalProperties":false}}},"paths":{"/v3/newsletter/confirm":{"post":{"tags":["Newsletter"],"summary":"Newsletter sign up confirmation, with the token from the confirmation email.","operationId":"confirmNewsletterOptIn","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsletterConfirm"}}},"required":true},"responses":{"204":{"description":"No Content"},"404":{"description":"Error"}}}}}}
```

## POST /v3/newsletter/unsubscribe

> Unsubscribe from the newsletter, using the unsubscribe url in a newsletter.

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Newsletter","description":"Newsletter adjustments"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"NewsletterUnsubscribe":{"type":"object","required":["mailhash","key"],"properties":{"mailhash":{"type":"string","format":"","description":"A hash, as provided in the newsletter unsubscribe url"},"key":{"type":"string","format":"","description":"A key, as provided in the newsletter unsubscribe url"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/newsletter/unsubscribe":{"post":{"tags":["Newsletter"],"summary":"Unsubscribe from the newsletter, using the unsubscribe url in a newsletter.","operationId":"unsubscribeFromNewsletter","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewsletterUnsubscribe"}}},"required":true},"responses":{"204":{"description":"No Content"},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/newsletter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
